IXP_RESPOND(3)

NAME

ixp_respond

SYNOPSIS
  #include <ixp.h>

  void ixp_respond(Ixp9Req *req, const char *error);

DESCRIPTION

Sends a response to the given request. The response is constructed from the IofcallR member of the IreqR parameter, or from the IerrorR parameter if it is non-null. In the latter case, the response is of type RError, while in any other case it is of the same type as IreqR->IofcallR, which must match the request type in IreqR->IifcallR.

SEE ALSO

Ixp9Req(3), ixp_printfcall(3)